Bug 536551 (RHQ-88)

Summary: Agent log monitoring
Product: [Other] RHQ Project Reporter: Greg Hinkle <ghinkle>
Component: PluginsAssignee: John Mazzitelli <mazz>
Status: CLOSED NEXTRELEASE QA Contact: Jeff Weiss <jweiss>
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dajohnso
Target Milestone: ---Keywords: Improvement
Target Release: ---   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-88
Whiteboard:
Fixed In Version: 1.2 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Greg Hinkle 2008-03-13 16:22:00 EDT
Enhancement to add log monitoring for the agent. (Should be pretty simple to add the config and connect the delgate)
Comment 1 Charles Crouch 2008-03-14 13:45:23 EDT
related: I'd like to see a config option on the agent to turn on debug logging
Comment 2 Jay Shaughnessy 2008-09-25 10:33:23 EDT
Unfortunately needs to be moved out.
Comment 3 John Mazzitelli 2008-12-08 09:46:25 EST
the agent has a "debug" prompt command now - this let's you turn on/off debug logging.  The RHQ Agent resource now has an operation to execute prompt commands remotely, so you can do this now from the UI.

However, we still need what this JIRA is asking for - agent log monitoring.
Comment 4 John Mazzitelli 2008-12-08 09:48:25 EST
putting this on the "1.2" list, just so we make sure we at least take a look at this for inclusion in next release. The description claims this should be pretty simple to add, so it may be a piece of low-hanging fruit we can get).
Comment 5 John Mazzitelli 2009-03-25 21:10:27 EDT
agent log monitoring - useful for perf test environments or production environments to see what the agent is doing.

By default, its disabled, you have to enable the log monitoring in plugin config to turn it on. you can monitor one or both of the agent.log and command-trace.log"

To test:

a) import a new agent
b) go to plugin configuration (aka connection properties) for that agent
c) enable the two logs that show up in there
d) let agent run for a few minutes
e) go to Events tab and see events
f) go back and disable the log settings in plugin configuration
g) let agent run for a few minutes
h) verify no more logs are getting into the system

Note: to see the command-trace.log, you have to enable command tracing in the agent. The easiest way to do that is to execute the agent prompt command "debug -c true". You can do this at the prompt or via the Operation from the agent's Operation tab.
Comment 6 Jeff Weiss 2009-04-02 09:17:45 EDT
Tested this using the procedure above.  Other than some UI issues with events in general, the test passed.  I opened the other issues separately.  rev3574
Comment 7 Red Hat Bugzilla 2009-11-10 16:19:02 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-88
This bug relates to RHQ-633